<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4081
Name: Contract and participant list
Description: Vertrag und Teilnehmerliste
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4081-2015-11-01T000000">
   <title>Contract and participant list</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4081
Context: *[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]
Item: (Contractandparticipantlist)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4081
Context: *[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']
Item: (Contractandparticipantlist)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']"
         id="tmp-r-5bbf8a88-cc56-4f49-8e54-0ff1a283426e">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160126T101025/tmp-1.2.276.0.76.10.4081-2015-11-01T000000.html"
              test="@classCode">(Contractandparticipantlist): Attribut @classCode MUSS vorkommen.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@classCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(document('include/voc-1.2.276.0.76.11.63-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160126T101025/tmp-1.2.276.0.76.10.4081-2015-11-01T000000.html"
              test="not(@classCode) or count($theAttValue) = count($theAttCheck)">(Contractandparticipantlist): Der Wert von classCode MUSS gewählt werden aus Value Set '1.2.276.0.76.11.63' Patient Participation List ActClass (DYNAMIC).</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160126T101025/tmp-1.2.276.0.76.10.4081-2015-11-01T000000.html"
              test="string(@moodCode)=('EVN')">(Contractandparticipantlist): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160126T101025/tmp-1.2.276.0.76.10.4081-2015-11-01T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4081'])&gt;=1 ">(Contractandparticipantlist): Element hl7:templateId[@root='1.2.276.0.76.10.4081'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160126T101025/tmp-1.2.276.0.76.10.4081-2015-11-01T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4081'])&lt;=1">(Contractandparticipantlist): Element hl7:templateId[@root='1.2.276.0.76.10.4081'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160126T101025/tmp-1.2.276.0.76.10.4081-2015-11-01T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(Contractandparticipantlist): Element hl7:id ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160126T101025/tmp-1.2.276.0.76.10.4081-2015-11-01T000000.html"
              test="count(hl7:id)&lt;=1">(Contractandparticipantlist): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160126T101025/tmp-1.2.276.0.76.10.4081-2015-11-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(Contractandparticipantlist): Element hl7:code ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160126T101025/tmp-1.2.276.0.76.10.4081-2015-11-01T000000.html"
              test="count(hl7:code)&lt;=1">(Contractandparticipantlist): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160126T101025/tmp-1.2.276.0.76.10.4081-2015-11-01T000000.html"
              test="count(hl7:title)&lt;=1">(Contractandparticipantlist): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160126T101025/tmp-1.2.276.0.76.10.4081-2015-11-01T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(Contractandparticipantlist): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4081
Context: *[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:templateId[@root='1.2.276.0.76.10.4081']
Item: (Contractandparticipantlist)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:templateId[@root='1.2.276.0.76.10.4081']"
         id="tmp-r-8cf27904-7d39-4349-ab47-8ffb1801d63e">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160126T101025/tmp-1.2.276.0.76.10.4081-2015-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Contractandparticipantlist): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160126T101025/tmp-1.2.276.0.76.10.4081-2015-11-01T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4081')">(Contractandparticipantlist): Der Wert von @root MUSS '1.2.276.0.76.10.4081' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4081
Context: *[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:id
Item: (Contractandparticipantlist)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:id"
         id="tmp-r-a297461a-9a01-4a1c-a73d-94a4e8df8dc5">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160126T101025/tmp-1.2.276.0.76.10.4081-2015-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Contractandparticipantlist): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4081
Context: *[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:code
Item: (Contractandparticipantlist)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:code"
         id="tmp-r-adb97f82-bdf3-471f-8aa6-a7d306f1787f">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160126T101025/tmp-1.2.276.0.76.10.4081-2015-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Contractandparticipantlist): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4081
Context: *[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:title
Item: (Contractandparticipantlist)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:title"
         id="tmp-r-d32d13ca-9433-4a3e-b0c5-50b78696cb75">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160126T101025/tmp-1.2.276.0.76.10.4081-2015-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Contractandparticipantlist): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4081
Context: *[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:effectiveTime
Item: (Contractandparticipantlist)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:effectiveTime"
         id="tmp-r-ad4c9276-83d8-485d-a889-a7e75d62eaf7">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160126T101025/tmp-1.2.276.0.76.10.4081-2015-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Contractandparticipantlist): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160126T101025/tmp-1.2.276.0.76.10.4081-2015-11-01T000000.html"
              test="count(hl7:low)&gt;=1 ">(Contractandparticipantlist): Element hl7:low ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160126T101025/tmp-1.2.276.0.76.10.4081-2015-11-01T000000.html"
              test="count(hl7:low)&lt;=1">(Contractandparticipantlist): Element hl7:low kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160126T101025/tmp-1.2.276.0.76.10.4081-2015-11-01T000000.html"
              test="count(hl7:high)&lt;=1">(Contractandparticipantlist): Element hl7:high kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4081
Context: *[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:effectiveTime/hl7:low
Item: (Contractandparticipantlist)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:effectiveTime/hl7:low"
         id="tmp-r-504f38fd-7fea-495f-9abf-e2382b68e0a8">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160126T101025/tmp-1.2.276.0.76.10.4081-2015-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Contractandparticipantlist): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4081
Context: *[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:effectiveTime/hl7:high
Item: (Contractandparticipantlist)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:effectiveTime/hl7:high"
         id="tmp-r-d567df48-191d-42a0-a743-47da6ebfa1ab">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160126T101025/tmp-1.2.276.0.76.10.4081-2015-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Contractandparticipantlist): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4082
Context: *[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:participant[hl7:templateId/@root='1.2.276.0.76.10.4082']
Item: (Contractparticipant)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:participant[hl7:templateId/@root='1.2.276.0.76.10.4082']"
         id="tmp-r-d64e1f18-c41a-4ae2-b10d-e1c310746ee1">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160126T101025/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="@typeCode">(Contractparticipant): Attribut @typeCode MUSS vorkommen.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@typeCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(document('include/voc-1.2.276.0.76.11.64-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160126T101025/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="not(@typeCode) or count($theAttValue) = count($theAttCheck)">(Contractparticipant): Der Wert von typeCode MUSS gewählt werden aus Value Set '1.2.276.0.76.11.64' Contract Participant Type Code (DYNAMIC).</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160126T101025/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4082'])&gt;=1 and not(hl7:templateId[@root='1.2.276.0.76.10.4082']/@nullFlavor)">(Contractparticipant): Element hl7:templateId[@root='1.2.276.0.76.10.4082'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160126T101025/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4082'])&lt;=1">(Contractparticipant): Element hl7:templateId[@root='1.2.276.0.76.10.4082'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160126T101025/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="count(hl7:time)&gt;=1 ">(Contractparticipant): Element hl7:time ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160126T101025/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="count(hl7:time)&lt;=1">(Contractparticipant): Element hl7:time kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160126T101025/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="count(hl7:statusCode[@code=doc('include/voc-1.2.276.0.76.11.65-DYNAMIC.xml')/*/valueSet/conceptList/*/@code])&gt;=1 and not(hl7:statusCode[@code=doc('include/voc-1.2.276.0.76.11.65-DYNAMIC.xml')/*/valueSet/conceptList/*/@code]/@nullFlavor)">(Contractparticipant): Element hl7:statusCode[@code=doc('include/voc-1.2.276.0.76.11.65-DYNAMIC.xml')/*/valueSet/conceptList/*/@code] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160126T101025/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="count(hl7:statusCode[@code=doc('include/voc-1.2.276.0.76.11.65-DYNAMIC.xml')/*/valueSet/conceptList/*/@code])&lt;=1">(Contractparticipant): Element hl7:statusCode[@code=doc('include/voc-1.2.276.0.76.11.65-DYNAMIC.xml')/*/valueSet/conceptList/*/@code] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160126T101025/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="count(hl7:reasonCode)&lt;=1">(Contractparticipant): Element hl7:reasonCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160126T101025/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="count(hl7:associatedEntity)&gt;=1 ">(Contractparticipant): Element hl7:associatedEntity ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160126T101025/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="count(hl7:associatedEntity)&lt;=1">(Contractparticipant): Element hl7:associatedEntity kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4082
Context: *[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:participant[hl7:templateId/@root='1.2.276.0.76.10.4082']/hl7:templateId[@root='1.2.276.0.76.10.4082']
Item: (Contractparticipant)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:participant[hl7:templateId/@root='1.2.276.0.76.10.4082']/hl7:templateId[@root='1.2.276.0.76.10.4082']"
         id="tmp-r-efd319fc-1cf2-4066-9339-35026656478f">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160126T101025/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Contractparticipant): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160126T101025/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4082')">(Contractparticipant): Der Wert von @root MUSS '1.2.276.0.76.10.4082' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4082
Context: *[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:participant[hl7:templateId/@root='1.2.276.0.76.10.4082']/hl7:time
Item: (Contractparticipant)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:participant[hl7:templateId/@root='1.2.276.0.76.10.4082']/hl7:time"
         id="tmp-r-9a8134d4-10e7-4594-8024-56bf326aa429">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160126T101025/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Contractparticipant): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160126T101025/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="count(hl7:low)&gt;=1 ">(Contractparticipant): Element hl7:low ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160126T101025/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="count(hl7:low)&lt;=1">(Contractparticipant): Element hl7:low kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160126T101025/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="count(hl7:high)&lt;=1">(Contractparticipant): Element hl7:high kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4082
Context: *[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:participant[hl7:templateId/@root='1.2.276.0.76.10.4082']/hl7:time/hl7:low
Item: (Contractparticipant)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:participant[hl7:templateId/@root='1.2.276.0.76.10.4082']/hl7:time/hl7:low"
         id="tmp-r-56cd6122-55da-470a-ab22-eaee95f6e1c2">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160126T101025/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Contractparticipant): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4082
Context: *[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:participant[hl7:templateId/@root='1.2.276.0.76.10.4082']/hl7:time/hl7:high
Item: (Contractparticipant)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:participant[hl7:templateId/@root='1.2.276.0.76.10.4082']/hl7:time/hl7:high"
         id="tmp-r-a330e288-c68e-4702-8eb9-2c52e8ae25eb">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160126T101025/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Contractparticipant): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4082
Context: *[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:participant[hl7:templateId/@root='1.2.276.0.76.10.4082']/hl7:statusCode[@code=doc('include/voc-1.2.276.0.76.11.65-DYNAMIC.xml')/*/valueSet/conceptList/*/@code]
Item: (Contractparticipant)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:participant[hl7:templateId/@root='1.2.276.0.76.10.4082']/hl7:statusCode[@code=doc('include/voc-1.2.276.0.76.11.65-DYNAMIC.xml')/*/valueSet/conceptList/*/@code]"
         id="tmp-r-4ef60084-e7c1-46e2-b295-c3698d059982">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160126T101025/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Contractparticipant): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160126T101025/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.276.0.76.11.65-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Contractparticipant): Der Elementinhalt MUSS einer von '1.2.276.0.76.11.65 Contract Participant Status Code (DYNAMIC)' sein.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-1.2.276.0.76.11.65-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160126T101025/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(Contractparticipant): Der fehlende Wert '<value-of select="@nullFlavor"/>' für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set 1.2.276.0.76.11.65 Contract Participant Status Code (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4082
Context: *[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:participant[hl7:templateId/@root='1.2.276.0.76.10.4082']/hl7:reasonCode
Item: (Contractparticipant)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:participant[hl7:templateId/@root='1.2.276.0.76.10.4082']/hl7:reasonCode"
         id="tmp-r-85cb1427-4dcf-441c-a7ec-255ad8cfed17">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160126T101025/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Contractparticipant): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160126T101025/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.276.0.76.11.66-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(Contractparticipant): Der Elementinhalt MUSS einer von '1.2.276.0.76.11.66 Contract Participant Reason Code (DYNAMIC)' sein.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-1.2.276.0.76.11.66-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160126T101025/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(Contractparticipant): Der fehlende Wert '<value-of select="@nullFlavor"/>' für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set 1.2.276.0.76.11.66 Contract Participant Reason Code (DYNAMIC).</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160126T101025/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="count(hl7:originalText)&lt;=1">(Contractparticipant): Element hl7:originalText kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4082
Context: *[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:participant[hl7:templateId/@root='1.2.276.0.76.10.4082']/hl7:reasonCode/hl7:originalText
Item: (Contractparticipant)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4082
Context: *[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:participant[hl7:templateId/@root='1.2.276.0.76.10.4082']/hl7:associatedEntity
Item: (Contractparticipant)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:participant[hl7:templateId/@root='1.2.276.0.76.10.4082']/hl7:associatedEntity"
         id="tmp-r-44c8294c-35e2-4477-8f37-85253ecb4462">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160126T101025/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="string(@classCode)=('PAT')">(Contractparticipant): Der Wert von @classCode MUSS 'PAT' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160126T101025/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="count(hl7:id)&gt;=1 ">(Contractparticipant): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160126T101025/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="count(hl7:associatedPatient)&gt;=1 ">(Contractparticipant): Element hl7:associatedPatient ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160126T101025/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="count(hl7:associatedPatient)&lt;=1">(Contractparticipant): Element hl7:associatedPatient kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160126T101025/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="count(hl7:scopingOrganization)&lt;=1">(Contractparticipant): Element hl7:scopingOrganization kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4082
Context: *[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:participant[hl7:templateId/@root='1.2.276.0.76.10.4082']/hl7:associatedEntity/hl7:id
Item: (Contractparticipant)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:participant[hl7:templateId/@root='1.2.276.0.76.10.4082']/hl7:associatedEntity/hl7:id"
         id="tmp-r-1fe643d9-5352-4a1e-83a1-591504dd3086">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160126T101025/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Contractparticipant): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4082
Context: *[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:participant[hl7:templateId/@root='1.2.276.0.76.10.4082']/hl7:associatedEntity/hl7:associatedPatient
Item: (Contractparticipant)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:participant[hl7:templateId/@root='1.2.276.0.76.10.4082']/hl7:associatedEntity/hl7:associatedPatient"
         id="tmp-r-53035de4-3f2d-4490-b1b1-5909eba03aef">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160126T101025/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="string(@classCode)=('PSN')">(Contractparticipant): Der Wert von @classCode MUSS 'PSN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160126T101025/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="string(@determinerCode)=('INSTANCE')">(Contractparticipant): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160126T101025/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="count(hl7:name)&gt;=1 ">(Contractparticipant): Element hl7:name ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160126T101025/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="count(hl7:name)&lt;=1">(Contractparticipant): Element hl7:name kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160126T101025/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="count(hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor])&gt;=1 ">(Contractparticipant): Element hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160126T101025/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="count(hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor])&lt;=1">(Contractparticipant): Element hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160126T101025/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="count(hl7:birthTime)&gt;=1 ">(Contractparticipant): Element hl7:birthTime ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160126T101025/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="count(hl7:birthTime)&lt;=1">(Contractparticipant): Element hl7:birthTime kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4082
Context: *[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:participant[hl7:templateId/@root='1.2.276.0.76.10.4082']/hl7:associatedEntity/hl7:associatedPatient/hl7:name
Item: (Contractparticipant)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:participant[hl7:templateId/@root='1.2.276.0.76.10.4082']/hl7:associatedEntity/hl7:associatedPatient/hl7:name"
         id="tmp-r-73c79189-b37c-487f-b567-fe5aea4203b2">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160126T101025/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Contractparticipant): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PN" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160126T101025/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="count(hl7:given)&gt;=1 ">(Contractparticipant): Element hl7:given ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160126T101025/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="count(hl7:given)&lt;=1">(Contractparticipant): Element hl7:given kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160126T101025/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="count(hl7:family)&gt;=1 ">(Contractparticipant): Element hl7:family ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160126T101025/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="count(hl7:family)&lt;=1">(Contractparticipant): Element hl7:family kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4082
Context: *[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:participant[hl7:templateId/@root='1.2.276.0.76.10.4082']/hl7:associatedEntity/hl7:associatedPatient/hl7:name/hl7:given
Item: (Contractparticipant)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:participant[hl7:templateId/@root='1.2.276.0.76.10.4082']/hl7:associatedEntity/hl7:associatedPatient/hl7:name/hl7:given"
         id="tmp-r-2526214c-d2b2-4492-b2aa-fda293c65a2f">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160126T101025/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Contractparticipant): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4082
Context: *[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:participant[hl7:templateId/@root='1.2.276.0.76.10.4082']/hl7:associatedEntity/hl7:associatedPatient/hl7:name/hl7:family
Item: (Contractparticipant)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:participant[hl7:templateId/@root='1.2.276.0.76.10.4082']/hl7:associatedEntity/hl7:associatedPatient/hl7:name/hl7:family"
         id="tmp-r-009043bc-81b3-4563-9064-f982571d2f12">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160126T101025/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Contractparticipant): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4082
Context: *[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:participant[hl7:templateId/@root='1.2.276.0.76.10.4082']/hl7:associatedEntity/hl7:associatedPatient/hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]
Item: (Contractparticipant)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:participant[hl7:templateId/@root='1.2.276.0.76.10.4082']/hl7:associatedEntity/hl7:associatedPatient/hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]"
         id="tmp-r-25289ce9-4339-4984-bb7d-a5e326114fa5">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160126T101025/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Contractparticipant): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160126T101025/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(Contractparticipant): Der Elementinhalt MUSS einer von '2.16.840.1.113883.1.11.1 AdministrativeGender (DYNAMIC)' sein.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160126T101025/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(Contractparticipant): Der fehlende Wert '<value-of select="@nullFlavor"/>' für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set 2.16.840.1.113883.1.11.1 AdministrativeGender (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4082
Context: *[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:participant[hl7:templateId/@root='1.2.276.0.76.10.4082']/hl7:associatedEntity/hl7:associatedPatient/hl7:birthTime
Item: (Contractparticipant)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:participant[hl7:templateId/@root='1.2.276.0.76.10.4082']/hl7:associatedEntity/hl7:associatedPatient/hl7:birthTime"
         id="tmp-r-479c1da8-a30b-4b2d-b46c-88b01524230e">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160126T101025/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Contractparticipant): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4082
Context: *[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:participant[hl7:templateId/@root='1.2.276.0.76.10.4082']/hl7:associatedEntity/hl7:scopingOrganization
Item: (Contractparticipant)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:participant[hl7:templateId/@root='1.2.276.0.76.10.4082']/hl7:associatedEntity/hl7:scopingOrganization"
         id="tmp-r-372a9c4d-364c-4931-b78a-3a3c5cbdf2c9">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160126T101025/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="string(@classCode)=('ORG')">(Contractparticipant): Der Wert von @classCode MUSS 'ORG' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160126T101025/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="string(@determinerCode)=('INSTANCE')">(Contractparticipant): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160126T101025/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="count(hl7:id)&gt;=1 ">(Contractparticipant): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160126T101025/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="count(hl7:id)&lt;=1">(Contractparticipant): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160126T101025/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="count(hl7:name)&gt;=1 ">(Contractparticipant): Element hl7:name ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160126T101025/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="count(hl7:name)&lt;=1">(Contractparticipant): Element hl7:name kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4082
Context: *[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:participant[hl7:templateId/@root='1.2.276.0.76.10.4082']/hl7:associatedEntity/hl7:scopingOrganization/hl7:id
Item: (Contractparticipant)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:participant[hl7:templateId/@root='1.2.276.0.76.10.4082']/hl7:associatedEntity/hl7:scopingOrganization/hl7:id"
         id="tmp-r-c05ca7c7-9777-436b-b81f-007e5c938664">
      <assert role="error"
              see="http://hl7de.art-decor.org/haevgptv-html-20160126T101025/tmp-1.2.276.0.76.10.4082-2015-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Contractparticipant): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4082
Context: *[hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']]/hl7:act[hl7:templateId/@root='1.2.276.0.76.10.4081']/hl7:participant[hl7:templateId/@root='1.2.276.0.76.10.4082']/hl7:associatedEntity/hl7:scopingOrganization/hl7:name
Item: (Contractparticipant)
-->
</pattern>
